<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Claim;

use Shopware\Core\Framework\Context;
use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\Claim\Struct\BookDirectPaymentResult;
use Mefi\Inkasso\Components\Claim\Struct\ClaimResult;
use Mefi\Inkasso\Components\Claim\Struct\ClaimStatusResult;
use Mefi\Inkasso\Components\Claim\Struct\CloseClaimResult;
use Mefi\Inkasso\Components\Claim\Struct\NewClaimFormStruct;
use Mefi\Inkasso\Core\DataAbstractionLayer\Claim\ClaimEntity;

interface ClaimServiceInterface
{
    public function createNewClaim(NewClaimFormStruct $form, Context $context): ClaimResult;

    public function closeClaim(string $fileNumber): CloseClaimResult;

    public function bookDirectPayment(string $fileNumber, string $dateOfPayment, float $paidAmount, Context $context): BookDirectPaymentResult;

    public function getClaim(string $fileNumber, Context $context): ?ClaimEntity;

    public function getClaimStatus(string $fileNumber): ClaimStatusResult;
}
