<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Claim\Struct;

use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\NewClaimResult;

class ClaimResult extends Struct
{
    /** @var bool */
    protected $success;

    /** @var null|string */
    protected $errorMessage;

    /** @var null|NewClaimResult */
    protected $newClaimResult;

    public function isSuccess(): bool
    {
        return $this->success;
    }

    public function getErrorMessage(): ?string
    {
        return $this->errorMessage;
    }

    public function getNewClaimResult(): ?NewClaimResult
    {
        return $this->newClaimResult;
    }

    public function setSuccess(bool $success): void
    {
        $this->success = $success;
    }

    public function setErrorMessage(?string $errorMessage): void
    {
        $this->errorMessage = $errorMessage;
    }

    public function setNewClaimResult(?NewClaimResult $newClaimResult): void
    {
        $this->newClaimResult = $newClaimResult;
    }
}
