<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Claim\Struct;

use Shopware\Core\Framework\Struct\Struct;

class ClaimStatusChangesFetchResult extends Struct
{
    /** @var int */
    protected $total;

    /** @var null|string */
    protected $errorMessage;

    /** @var bool */
    protected $success;

    public function __construct(int $total = 0, string $errorMessage = null, bool $success = false)
    {
        $this->total        = $total;
        $this->errorMessage = $errorMessage;
        $this->success      = $success;
    }

    public function getTotal(): int
    {
        return $this->total;
    }

    public function setTotal(int $total): self
    {
        $this->total = $total;

        return $this;
    }

    public function getErrorMessage(): ?string
    {
        return $this->errorMessage;
    }

    public function setErrorMessage(?string $errorMessage): self
    {
        $this->errorMessage = $errorMessage;

        return $this;
    }

    public function getSuccess(): bool
    {
        return $this->success;
    }

    public function setSuccess(bool $success): self
    {
        $this->success = $success;

        return $this;
    }
}
