<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Claim\Struct;

use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\ClaimStatus;

class ClaimStatusResult extends Struct
{
    /** @var bool */
    protected $success;

    /** @var null|string */
    protected $message;

    /** @var null|ClaimStatus */
    protected $status;

    public function __construct(bool $success = false, ?ClaimStatus $status = null, string $errorMessage = null)
    {
        $this->success = $success;
        $this->status  = $status;
        $this->message = $errorMessage;
    }

    public function isSuccess(): bool
    {
        return $this->success;
    }

    public function setSuccess(bool $success): self
    {
        $this->success = $success;

        return $this;
    }

    public function getStatus(): ?ClaimStatus
    {
        return $this->status;
    }

    public function setStatus(?ClaimStatus $status): self
    {
        $this->status = $status;

        return $this;
    }

    public function getMessage(): ?string
    {
        return $this->message;
    }

    public function setMessage(?string $message): self
    {
        $this->message = $message;

        return $this;
    }
}
