<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Claim\Struct;

use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\ClaimIdentifier;

class CloseClaimResult extends Struct
{
    /** @var bool */
    protected $success;

    /** @var ClaimIdentifier */
    protected $claimIdentifier;

    public function __construct(ClaimIdentifier $claimIdentifier, bool $success)
    {
        $this->claimIdentifier = $claimIdentifier;
        $this->success         = $success;
    }

    public function isSuccess(): bool
    {
        return $this->success;
    }

    public function setSuccess(bool $success): self
    {
        $this->success = $success;

        return $this;
    }

    public function getClaimIdentifier(): ClaimIdentifier
    {
        return $this->claimIdentifier;
    }

    public function setClaimIdentifier(ClaimIdentifier $claimIdentifier): self
    {
        $this->claimIdentifier = $claimIdentifier;

        return $this;
    }
}
