<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Claim\Struct;

use DateTime;
use Shopware\Core\Framework\Struct\Struct;

class NewClaimFormStruct extends Struct
{
    /** @var string */
    protected $customerId;

    /** @var string */
    protected $orderId;

    /** @var string */
    protected $invoiceNumber;

    /** @var DateTime */
    protected $orderDate;

    /** @var string */
    protected $company;

    /** @var string */
    protected $lastName;

    /** @var string */
    protected $firstName;

    /** @var string */
    protected $street;

    /** @var string */
    protected $zipCode;

    /** @var string */
    protected $city;

    /** @var string */
    protected $country;

    /** @var string */
    protected $countryId;

    /** @var string */
    protected $phone;

    /** @var string */
    protected $email;

    /** @var float */
    protected $claimAmount;

    /** @var null|string */
    protected $status;

    /** @var int */
    protected $claimType;

    /** @var string */
    protected $claimReason;

    /** @var float */
    protected $claimFee;

    /** @var DateTime */
    protected $claimDate;

    /** @var int */
    protected $catalogReason;

    /** @var string */
    protected $dateOfLastReminder;

    /** @var string */
    protected $note;

    /** @var null|string */
    protected $catalogText;

    public function getCustomerId(): string
    {
        return $this->customerId;
    }

    public function setCustomerId(string $customerId): void
    {
        $this->customerId = $customerId;
    }

    public function getOrderId(): string
    {
        return $this->orderId;
    }

    public function setOrderId(string $orderId): void
    {
        $this->orderId = $orderId;
    }

    public function getInvoiceNumber(): string
    {
        return $this->invoiceNumber;
    }

    public function setInvoiceNumber(string $invoiceNumber): void
    {
        $this->invoiceNumber = $invoiceNumber;
    }

    public function getOrderDate(): DateTime
    {
        return $this->orderDate;
    }

    public function setOrderDate(DateTime $orderDate): void
    {
        $this->orderDate = $orderDate;
    }

    public function getCompany(): string
    {
        return $this->company;
    }

    public function setCompany(string $company): void
    {
        $this->company = $company;
    }

    public function getLastName(): string
    {
        return $this->lastName;
    }

    public function setLastName(string $lastName): void
    {
        $this->lastName = $lastName;
    }

    public function getFirstName(): string
    {
        return $this->firstName;
    }

    public function setFirstName(string $firstName): void
    {
        $this->firstName = $firstName;
    }

    public function getStreet(): string
    {
        return $this->street;
    }

    public function setStreet(string $street): void
    {
        $this->street = $street;
    }

    public function getZipCode(): string
    {
        return $this->zipCode;
    }

    public function setZipCode(string $zipCode): void
    {
        $this->zipCode = $zipCode;
    }

    public function getCity(): string
    {
        return $this->city;
    }

    public function setCity(string $city): void
    {
        $this->city = $city;
    }

    public function getCountry(): string
    {
        return $this->country;
    }

    public function setCountry(string $country): void
    {
        $this->country = $country;
    }

    public function getCountryId(): string
    {
        return $this->countryId;
    }

    public function setCountryId(string $countryId): void
    {
        $this->countryId = $countryId;
    }

    public function getPhone(): string
    {
        return $this->phone;
    }

    public function setPhone(string $phone): void
    {
        $this->phone = $phone;
    }

    public function getEmail(): string
    {
        return $this->email;
    }

    public function setEmail(string $email): void
    {
        $this->email = $email;
    }

    public function getClaimAmount(): float
    {
        return $this->claimAmount;
    }

    public function setClaimAmount(float $claimAmount): void
    {
        $this->claimAmount = $claimAmount;
    }

    public function getStatus(): ?string
    {
        return $this->status;
    }

    public function setStatus(string $status): void
    {
        $this->status = $status;
    }

    public function getClaimType(): int
    {
        return $this->claimType;
    }

    public function setClaimType(int $claimType): void
    {
        $this->claimType = $claimType;
    }

    public function getClaimReason(): string
    {
        return $this->claimReason;
    }

    public function setClaimReason(string $claimReason): void
    {
        $this->claimReason = $claimReason;
    }

    public function getClaimFee(): float
    {
        return $this->claimFee;
    }

    public function setClaimFee(float $claimFee): void
    {
        $this->claimFee = $claimFee;
    }

    public function getClaimDate(): DateTime
    {
        return $this->claimDate;
    }

    public function setClaimDate(DateTime $claimDate): void
    {
        $this->claimDate = $claimDate;
    }


    public function getCatalogReason(): ?int
    {
        return $this->catalogReason;
    }

    public function setCatalogReason(int $catalogReason): void
    {
        $this->catalogReason = $catalogReason;
    }

    public function getDateOfLastReminder(): string
    {
        if (!empty($this->dateOfLastReminder)) {
            return $this->dateOfLastReminder;
        }

        $time = strtotime('-7 days');

        return date('Y-m-d', $time);
    }

    public function setDateOfLastReminder(string $dateOfLastReminder): void
    {
        $this->dateOfLastReminder = $dateOfLastReminder;
    }

    public function getNote(): string
    {
        return $this->note;
    }

    public function setNote(string $note): void
    {
        $this->note = $note;
    }

    public function getCatalogText(): ?string
    {
        return $this->catalogText;
    }

    public function setCatalogText(?string $catalogText): void
    {
        $this->catalogText = $catalogText;
    }
}
