<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\ConfigReader\Struct;

use Shopware\Core\Framework\Struct\Struct;

class Configuration extends Struct
{
    public const CONFIG_B2C_SCORING               = 'b2cScoringRules';
    public const CONFIG_B2B_SCORING               = 'b2bScoringRules';
    public const CONFIG_B2C_PRODUCT               = 'b2cProduct';
    public const CONFIG_B2B_PRODUCT               = 'b2bProduct';
    public const CONFIG_CRITICAL_PAYMENT_METHODS  = 'checkPaymentMethods';
    public const CONFIG_INFORMATION_MIN_VALUE     = 'checkMinValue';
    public const CONFIG_DIFFERENT_SHIPPING        = 'checkForDifferentShipping';
    public const CONFIG_TIMING_CACHE              = 'cacheInvalidationTime';
    public const CONFIG_TIMING_NEW_MIN_VALUE      = 'cacheInvalidationMinValue';
    public const CONFIG_TIMING_NEW_MAX_VALUE      = 'cacheInvalidationMaxValue';
    public const CONFIG_NOTIFICATION              = 'notification';
    public const CONFIG_CLIENT_ID                 = 'clientId';
    public const CONFIG_CLIENT_LICENCE            = 'clientLicence';
    public const CONFIG_DECLINE_UNKNOWN_PERSON    = 'declineUnknownPersonB2c';
    public const CONFIG_DECLINE_UNKNOWN_SCORE_B2B = 'declineUnknownScoreB2b';
    public const CONFIG_DECLINE_UNKNOWN_SCORE_B2C = 'declineUnknownScoreB2c';
    public const CONFIG_FIRST_DUNNING             = 'firstDunning';
    public const CONFIG_BASE_DUNNING_COSTS        = 'baseDunningCosts';
    public const CONFIG_DEFAULT_TYPE_REMINDER     = 'defaultTypeReminder';
    public const CONFIG_EXTENDED_LOGGING          = 'extendedLogging';
    public const CONFIG_SANDBOX_ACTIVE            = 'isSandboxActive';
    public const CONFIG_APPLICATION_LICENCE       = 'applicationLicence';
    public const CONFIG_CLIENT_REGISTERED         = 'isClientRegistered';

    public const DEFAULT_APPLICATION_LICENSE = 'ce87e3453897f0108b52d533ea970b2c';

    public const DEFAULT_SOLVENCY_CHECK_ERROR_NOTICE = 'Die von Ihnen gewählte Zahlungsart steht leider nicht zur Verfügung. Bitte wählen Sie eine andere Option aus.';

    /** @var array */
    protected $configuration = [];

    public function __construct(array $configuration)
    {
        $this->configuration = $configuration;
    }

    public function get(string $key, $default = '')
    {
        if (!array_key_exists($key, $this->configuration)) {
            return $default;
        }

        return $this->configuration[$key];
    }
}
