<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Partner\Struct;

use Shopware\Core\Framework\Struct\Struct;

class ClientRegistrationResult extends Struct
{
    /** @var bool */
    protected $success;

    /** @var null|string */
    protected $clientId;

    /** @var null|string */
    protected $message;

    public function __construct(bool $success = false, ?string $clientId = null, ?string $message = null)
    {
        $this->success  = $success;
        $this->clientId = $clientId;
        $this->message  = $message;
    }

    public function isSuccess(): bool
    {
        return $this->success;
    }

    public function setSuccess(bool $success): self
    {
        $this->success = $success;

        return $this;
    }

    public function getClientId(): ?string
    {
        return $this->clientId;
    }

    public function setClientId(?string $clientId): self
    {
        $this->clientId = $clientId;

        return $this;
    }

    public function getMessage(): ?string
    {
        return $this->message;
    }

    public function setMessage(?string $message): self
    {
        $this->message = $message;

        return $this;
    }
}
