<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Partner\Struct;

use Shopware\Core\Framework\Struct\Struct;

class RegistrationKeyGenerationResult extends Struct
{
    /** @var bool */
    protected $success;

    /** @var null|string */
    protected $registrationKey;

    /** @var null|string */
    protected $message;

    public function __construct(bool $success = false, ?string $registrationKey = null, ?string $message = null)
    {
        $this->success         = $success;
        $this->registrationKey = $registrationKey;
        $this->message         = $message;
    }

    public function isSuccess(): bool
    {
        return $this->success;
    }

    public function setSuccess(bool $success): self
    {
        $this->success = $success;

        return $this;
    }

    public function getRegistrationKey(): ?string
    {
        return $this->registrationKey;
    }

    public function setRegistrationKey(?string $registrationKey): self
    {
        $this->registrationKey = $registrationKey;

        return $this;
    }

    public function getMessage(): ?string
    {
        return $this->message;
    }

    public function setMessage(?string $message): self
    {
        $this->message = $message;

        return $this;
    }
}
