<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Buergel\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class Address extends Struct
{
    /** @var string */
    protected $street;

    /** @var null|string */
    protected $houseNumber;

    /** @var string */
    protected $postCode;

    /** @var string */
    protected $city;

    /** @var string */
    protected $country;

    /** @var int */
    protected $countryCode;

    /** @var int */
    protected $originCode;

    /** @var string */
    protected $originText;

    public function getStreet(): string
    {
        return $this->street;
    }

    public function setStreet(string $street): self
    {
        $this->street = $street;

        return $this;
    }

    public function getHouseNumber(): ?string
    {
        return $this->houseNumber;
    }

    public function setHouseNumber(?string $houseNumber): self
    {
        $this->houseNumber = $houseNumber;

        return $this;
    }

    public function getPostCode(): string
    {
        return $this->postCode;
    }

    public function setPostCode(string $postCode): self
    {
        $this->postCode = $postCode;

        return $this;
    }

    public function getCity(): string
    {
        return $this->city;
    }

    public function setCity(string $city): self
    {
        $this->city = $city;

        return $this;
    }

    public function getCountry(): string
    {
        return $this->country;
    }

    public function setCountry(string $country): self
    {
        $this->country = $country;

        return $this;
    }

    public function getCountryCode(): int
    {
        return $this->countryCode;
    }

    public function setCountryCode(int $countryCode): self
    {
        $this->countryCode = $countryCode;

        return $this;
    }

    public function getOriginCode(): int
    {
        return $this->originCode;
    }

    public function setOriginCode(int $originCode): self
    {
        $this->originCode = $originCode;

        return $this;
    }

    public function getOriginText(): string
    {
        return $this->originText;
    }

    public function setOriginText(string $originText): self
    {
        $this->originText = $originText;

        return $this;
    }
}
