<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Buergel\DataTypes;

use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\DateTime;

class BuergelConCheckScoreResult extends Struct
{
    /** @var string */
    protected $returnCode;

    /** @var string */
    protected $asNumber;

    /** @var string */
    protected $requestNumber;

    /** @var null|string */
    protected $reference;

    /** @var null|string */
    protected $firstName;

    /** @var null|string */
    protected $lastName;

    /** @var null|string */
    protected $additionalName;

    /** @var null|DateTime */
    protected $dateOfBirth;

    /** @var null|string */
    protected $phonenumber;

    /** @var null|string */
    protected $emailAddress;

    /** @var Address */
    protected $address;

    /** @var float|string */
    protected $score;

    /** @var string */
    protected $scoreText;

    public function getReturnCode(): string
    {
        return $this->returnCode;
    }

    public function getAsNumber(): string
    {
        return $this->asNumber;
    }

    public function getRequestNumber(): string
    {
        return $this->requestNumber;
    }

    public function getReference(): ?string
    {
        return $this->reference;
    }

    public function getFirstName(): ?string
    {
        return $this->firstName;
    }

    public function getLastName(): ?string
    {
        return $this->lastName;
    }

    public function getAdditionalName(): ?string
    {
        return $this->additionalName;
    }

    public function getDateOfBirth(): ?DateTime
    {
        return $this->dateOfBirth;
    }

    public function getPhonenumber(): ?string
    {
        return $this->phonenumber;
    }

    public function getEmailAddress(): ?string
    {
        return $this->emailAddress;
    }

    public function getAddress(): Address
    {
        return $this->address;
    }

    public function getScore(): float
    {
        return (float) $this->score;
    }

    public function getScoreText(): string
    {
        return $this->scoreText;
    }
}
