<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Buergel\DataTypes;

use DateTime;
use Shopware\Core\Framework\Struct\Struct;

class BuergelSuspect extends Struct
{
    /** @var null|string */
    protected $registerEntry;

    /** @var null|string */
    protected $company;

    /** @var null|string */
    protected $firstname;

    /** @var null|string */
    protected $lastname;

    /** @var string */
    protected $street;

    /** @var string */
    protected $houseNumber;

    /** @var string */
    protected $postcode;

    /** @var string */
    protected $city;

    /** @var null|DateTime */
    protected $dateOfBirth;


    public function getVars(): array
    {
        return get_object_vars($this);
    }


    public function getRegisterEntry(): ?string
    {
        return $this->registerEntry;
    }

    public function setRegisterEntry(?string $registerEntry): self
    {
        $this->registerEntry = $registerEntry;

        return $this;
    }

    public function getCompany(): ?string
    {
        return $this->company;
    }

    public function setCompany(?string $company): self
    {
        $this->company = $company;

        return $this;
    }

    public function getFirstname(): ?string
    {
        return $this->firstname;
    }

    public function setFirstname(?string $firstname): self
    {
        $this->firstname = $firstname;

        return $this;
    }

    public function getLastname(): ?string
    {
        return $this->lastname;
    }

    public function setLastname(?string $lastname): self
    {
        $this->lastname = $lastname;

        return $this;
    }

    public function getStreet(): string
    {
        return $this->street;
    }

    public function setStreet(string $street): self
    {
        $this->street = $street;

        return $this;
    }

    public function getHouseNumber(): string
    {
        return $this->houseNumber;
    }

    public function setHouseNumber(string $houseNumber): self
    {
        $this->houseNumber = $houseNumber;

        return $this;
    }

    public function getPostcode(): string
    {
        return $this->postcode;
    }

    public function setPostcode(string $postcode): self
    {
        $this->postcode = $postcode;

        return $this;
    }

    public function getCity(): string
    {
        return $this->city;
    }

    public function setCity(string $city): self
    {
        $this->city = $city;

        return $this;
    }

    public function getDateOfBirth(): ?DateTime
    {
        return $this->dateOfBirth;
    }

    public function setDateOfBirth(?DateTime $dateOfBirth): self
    {
        $this->dateOfBirth = $dateOfBirth;

        return $this;
    }
}
