<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Builder;

use Shopware\Core\Checkout\Order\Aggregate\OrderAddress\OrderAddressEntity;
use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Builder\Hydrator\BuergelSuspectHydratorInterface;
use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct\ConCheckScoreRequestStruct;

class ConCheckRequestBuilder implements ConCheckRequestBuilderInterface
{
    /** @var BuergelSuspectHydratorInterface */
    private $buergelSuspectHydrator;

    public function __construct(BuergelSuspectHydratorInterface $buergelSuspectHydrator)
    {
        $this->buergelSuspectHydrator = $buergelSuspectHydrator;
    }

    public function getData(OrderAddressEntity $orderEntity, string $customerEmail, int $justification, ?string $reference): ConCheckScoreRequestStruct
    {
        $result = new ConCheckScoreRequestStruct();
        $result->setJustification($justification); //ConCheckScoreRequestStruct::JUSTIFICATION_SOLVENCY_CHECK);
        $result->setSuspect($this->buergelSuspectHydrator->hydrate($orderEntity, $customerEmail));
        $result->setReference($reference);

        return $result;
    }
}
