<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Builder;

use Shopware\Core\Checkout\Order\Aggregate\OrderAddress\OrderAddressEntity;
use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Builder\Hydrator\BuergelSuspectHydratorInterface;
use Mefi\Inkasso\Components\SoapAPI\Buergel\Request\Struct\RiskCheckScoreRequestStruct;

class RiskCheckRequestBuilder implements RiskCheckRequestBuilderInterface
{
    /** @var BuergelSuspectHydratorInterface */
    private $buergelSuspectHydrator;

    public function __construct(BuergelSuspectHydratorInterface $buergelSuspectHydrator)
    {
        $this->buergelSuspectHydrator = $buergelSuspectHydrator;
    }

    public function getData(OrderAddressEntity $address, string $customerEmail, int $justification, ?string $reference): RiskCheckScoreRequestStruct
    {
        $result = new RiskCheckScoreRequestStruct();
        $result->setJustification($justification);
        $result->setSuspect($this->buergelSuspectHydrator->hydrate($address, $customerEmail));
        $result->setReference($reference);

        return $result;
    }
}
