<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Buergel\Response;

use Mefi\Inkasso\Components\SoapAPI\Buergel\DataTypes\BuergelRiskCheckScoreResult;
use Mefi\Inkasso\Components\SoapAPI\MediafinanzSoapResponse;

class RiskCheckScoreResponse extends MediafinanzSoapResponse
{
    /** @var null|BuergelRiskCheckScoreResult */
    protected $scoreResult;

    public function __construct($data)
    {
        parent::__construct($data);

        if (property_exists($this->payload, 'scoreResult')) {
            $this->scoreResult = (new BuergelRiskCheckScoreResult())->assign(get_object_vars($this->payload->scoreResult));
        }
    }

    public function getScoreResult(): ?BuergelRiskCheckScoreResult
    {
        return $this->scoreResult;
    }

    public function setScoreResult(?BuergelRiskCheckScoreResult $scoreResult): self
    {
        $this->scoreResult = $scoreResult;

        return $this;
    }
}
