<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class Auth extends Struct
{
    /** @var int */
    protected $clientId;

    /** @var string */
    protected $clientLicence;

    /** @var string */
    protected $applicationLicence;

    /** @var string */
    protected $licenceKey;

    /** @var bool */
    protected $sandbox;

    public function getClientId(): int
    {
        return $this->clientId;
    }

    public function getClientLicence(): string
    {
        return $this->clientLicence;
    }

    public function getLicenceKey(): string
    {
        return $this->licenceKey;
    }

    public function getSandbox(): bool
    {
        return $this->sandbox;
    }

    public function setClientId(int $clientId): self
    {
        $this->clientId = $clientId;

        return $this;
    }

    public function setClientLicence(string $clientLicence): self
    {
        $this->clientLicence = $clientLicence;

        return $this;
    }

    public function getApplicationLicence(): string
    {
        return $this->applicationLicence;
    }

    public function setApplicationLicence(string $applicationLicence): void
    {
        $this->applicationLicence = $applicationLicence;
    }

    public function generateLicenceKey(): string
    {
        $this->licenceKey = md5($this->getApplicationLicence() . $this->getClientLicence());

        return $this->licenceKey;
    }

    public function setSandbox(bool $sandbox): self
    {
        $this->sandbox = $sandbox;

        return $this;
    }
}
