<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\DataTypes;

use Shopware\Core\Framework\Struct\Collection;

/**
 * @method void       add(Error $error)
 * @method Error[]    getIterator()
 * @method Error[]    getElements()
 * @method null|Error get(string $key)
 * @method null|Error first()
 * @method null|Error last()
 */
class ErrorCollection extends Collection
{
    public function __toString(): string
    {
        $result = '';

        /** @var Error $error */
        foreach ($this->elements as $error) {
            $result .= $error->getRaw() . PHP_EOL;
        }

        return $result;
    }

    public function getErrorMessages(): array
    {
        $result = [];

        foreach ($this->getElements() as $error) {
            $result[] = $error->getMessage();
        }

        return $result;
    }
}
