<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class AdditionalAddress extends Struct
{
    /** @var string */
    protected $co;

    /** @var string */
    protected $street;

    /** @var string */
    protected $postcode;

    /** @var string */
    protected $city;

    /** @var string */
    protected $country;

    /** @var int */
    protected $addressStatus;

    public function getCo(): string
    {
        return $this->co;
    }

    public function getStreet(): string
    {
        return $this->street;
    }

    public function getPostcode(): string
    {
        return $this->postcode;
    }

    public function getCity(): string
    {
        return $this->city;
    }

    public function getCountry(): string
    {
        return $this->country;
    }

    public function getAddressStatus(): int
    {
        return $this->addressStatus;
    }

    public function setCo(string $co): void
    {
        $this->co = $co;
    }

    public function setStreet(string $street): void
    {
        $this->street = $street;
    }

    public function setPostcode(string $postcode): void
    {
        $this->postcode = $postcode;
    }

    public function setCity(string $city): void
    {
        $this->city = $city;
    }

    public function setCountry(string $country): void
    {
        $this->country = $country;
    }

    public function setAddressStatus(int $addressStatus): void
    {
        $this->addressStatus = $addressStatus;
    }
}
