<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ClaimAccountingSummary extends Struct
{
    /** @var Money */
    protected $totalDebts;

    /** @var Money */
    protected $paid;

    /** @var Money */
    protected $outstanding;

    /** @var Money */
    protected $currentPayout;

    /** @var Money */
    protected $sumPayout;

    /** @var array */
    protected $payoutHistory;

    public function getTotalDebts(): Money
    {
        return $this->totalDebts;
    }

    public function getPaid(): Money
    {
        return $this->paid;
    }

    public function getOutstanding(): Money
    {
        return $this->outstanding;
    }

    public function getCurrentPayout(): Money
    {
        return $this->currentPayout;
    }

    public function getSumPayout(): Money
    {
        return $this->sumPayout;
    }

    public function getPayoutHistory(): array
    {
        return $this->payoutHistory;
    }

    public function setTotalDebts(Money $totalDebts): void
    {
        $this->totalDebts = $totalDebts;
    }

    public function setPaid(Money $paid): void
    {
        $this->paid = $paid;
    }

    public function setOutstanding(Money $outstanding): void
    {
        $this->outstanding = $outstanding;
    }

    public function setCurrentPayout(Money $currentPayout): void
    {
        $this->currentPayout = $currentPayout;
    }

    public function setSumPayout(Money $sumPayout): void
    {
        $this->sumPayout = $sumPayout;
    }

    public function setPayoutHistory(array $payoutHistory): void
    {
        $this->payoutHistory = $payoutHistory;
    }
}
