<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ClaimIdentifier extends Struct
{
    /** @var null|string */
    protected $invoice;

    /** @var string */
    protected $fileNumber;

    public function __construct(string $fileNumber, ?string $invoice = null)
    {
        $this->invoice    = $invoice;
        $this->fileNumber = $fileNumber;
    }

    public function getFileNumber(): string
    {
        return $this->fileNumber;
    }

    public function setInvoice(?string $invoice): void
    {
        $this->invoice = $invoice;
    }

    public function getInvoice(): ?string
    {
        return $this->invoice;
    }

    public function setFileNumber(string $fileNumber): void
    {
        $this->fileNumber = $fileNumber;
    }
}
