<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ClaimList extends Struct
{
    /** @var string */
    protected $fileNumber;

    /** @var int */
    protected $statusCode;

    /** @var string */
    protected $statusText;

    /** @var DateTime */
    protected $encashmentDate;

    /** @var float */
    protected $outstanding;

    /** @var null|Invoice */
    protected $invoice;

    public function __construct(array $data = [])
    {
        if ( isset($data['invoice']) )
        {
            $this->setInvoice($data['invoice']);
            unset($data['invoice']);
        }

        $this->assign($data);
    }


    /**
     * @return string
     */
    public function getFileNumber(): string
    {
        return $this->fileNumber;
    }

    /**
     * @param string $fileNumber
     */
    public function setFileNumber(string $fileNumber): void
    {
        $this->fileNumber = $fileNumber;
    }

    /**
     * @return int
     */
    public function getStatusCode(): int
    {
        return $this->statusCode;
    }

    /**
     * @param int $statusCode
     */
    public function setStatusCode(int $statusCode): void
    {
        $this->statusCode = $statusCode;
    }

    /**
     * @return string
     */
    public function getStatusText(): string
    {
        return $this->statusText;
    }

    /**
     * @param string $statusText
     */
    public function setStatusText(string $statusText): void
    {
        $this->statusText = $statusText;
    }

    /**
     * @return DateTime
     */
    public function getEncashmentDate(): DateTime
    {
        return $this->encashmentDate;
    }

    /**
     * @param DateTime $encashmentDate
     */
    public function setEncashmentDate(DateTime $encashmentDate): void
    {
        $this->encashmentDate = $encashmentDate;
    }

    /**
     * @return float
     */
    public function getOutstanding(): float
    {
        return $this->outstanding;
    }

    /**
     * @param float $outstanding
     */
    public function setOutstanding(float $outstanding): void
    {
        $this->outstanding = $outstanding;
    }

    /**
     * @return Invoice
     */
    public function getInvoice(): ?Invoice
    {
        return $this->invoice;
    }

    /**
     * @param array $invoice
     */
    public function setInvoice(array $invoice): void
    {
        // first invoice
       $this->invoice = new Invoice($invoice[0]);
    }

}
