<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ClaimMessage extends Struct
{
    /** @var DateTime */
    protected $time;

    /** @var string */
    protected $subject;

    /** @var string */
    protected $sender;

    /** @var string */
    protected $text;

    public function getTime(): DateTime
    {
        return $this->time;
    }

    public function getSubject(): string
    {
        return $this->subject;
    }

    public function getSender(): string
    {
        return $this->sender;
    }

    public function getText(): string
    {
        return $this->text;
    }

    public function setTime(DateTime $time): void
    {
        $this->time = $time;
    }

    public function setSubject(string $subject): void
    {
        $this->subject = $subject;
    }

    public function setSender(string $sender): void
    {
        $this->sender = $sender;
    }

    public function setText(string $text): void
    {
        $this->text = $text;
    }
}
