<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class ClaimStatusChange extends Struct
{
    /** @var string */
    protected $fileNumber;

    /** @var string */
    protected $invoiceNumber;

    /** @var string */
    protected $time;

    /** @var int */
    protected $statusCode;

    /** @var string */
    protected $statusName;

    /** @var null|int */
    protected $closingReasonCode;

    /** @var null|string */
    protected $closingReasonExplanation;

    /** @var null|string */
    protected $closingReasonNote;

    public function getFileNumber(): string
    {
        return $this->fileNumber;
    }

    public function getInvoiceNumber(): string
    {
        return $this->invoiceNumber;
    }

    public function getTime(): string
    {
        return $this->time;
    }

    public function getStatusCode(): int
    {
        return $this->statusCode;
    }

    public function getStatusName(): string
    {
        return $this->statusName;
    }

    public function getClosingReasonCode(): ?int
    {
        return $this->closingReasonCode;
    }

    public function getClosingReasonExplanation(): ?string
    {
        return $this->closingReasonExplanation;
    }

    public function getClosingReasonNote(): ?string
    {
        return $this->closingReasonNote;
    }

    public function setFileNumber(string $fileNumber): void
    {
        $this->fileNumber = $fileNumber;
    }

    public function setInvoiceNumber(string $invoiceNumber): void
    {
        $this->invoiceNumber = $invoiceNumber;
    }

    public function setTime(string $time): void
    {
        $this->time = $time;
    }

    public function setStatusCode(int $statusCode): void
    {
        $this->statusCode = $statusCode;
    }

    public function setStatusName(string $statusName): void
    {
        $this->statusName = $statusName;
    }

    public function setClosingReasonCode(?int $closingReasonCode): void
    {
        $this->closingReasonCode = $closingReasonCode;
    }

    public function setClosingReasonExplanation(?string $closingReasonExplanation): void
    {
        $this->closingReasonExplanation = $closingReasonExplanation;
    }

    public function setClosingReasonNote(?string $closingReasonNote): void
    {
        $this->closingReasonNote = $closingReasonNote;
    }
}
