<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class Date extends Struct
{
    /** @var string */
    protected $date;

    /**
     * Return current date in needed format
     */
    public function getDate(): string
    {
        return $this->date;
    }

    /**
     * Set date by any incoming date(-time) string e. g. 2020-08-13 00:00:00
     */
    public function setDate(string $dateInString): void
    {
        $time       = (int) strtotime($dateInString);
        $this->date = date('Y-m-d', $time);
    }
}
