<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class DateTime extends Struct
{
    /** @var string */
    protected $dateTime;

    /**
     * Return current date in needed format
     */
    public function getDateTime(): string
    {
        return $this->dateTime;
    }

    /**
     * Set rounded amount of given float value
     */
    public function setDateTime(string $dateInString): void
    {
        $time           = (int) strtotime($dateInString);
        $this->dateTime = date('Y-m-d H:i:s', $time);
    }
}
