<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class Debtor extends Struct
{
    /** @var string */
    protected $id;

    /** @var string */
    protected $address;

    /** @var string */
    protected $firstname;

    /** @var string */
    protected $lastname;

    /** @var string */
    protected $company;

    /** @var string */
    protected $co = '';

    /** @var string */
    protected $street;

    /** @var string */
    protected $postcode;

    /** @var string */
    protected $city;

    /** @var string */
    protected $country;

    /** @var int */
    protected $addressStatus;

    /** @var string */
    protected $telephone1;

    /** @var string */
    protected $telephone2;

    /** @var string */
    protected $fax;

    /** @var string */
    protected $email;

    /** @var string */
    protected $dateOfBirth;

    /** @var AdditionalAddress */
    protected $deliveryAddress;

    public function getId(): string
    {
        return $this->id;
    }

    public function getAddress(): string
    {
        return $this->address;
    }

    public function getFirstname(): string
    {
        return $this->firstname;
    }

    public function getLastname(): string
    {
        return $this->lastname;
    }

    public function getCompany(): string
    {
        return $this->company;
    }

    public function getCo(): string
    {
        return $this->co;
    }

    public function getStreet(): string
    {
        return $this->street;
    }

    public function getPostcode(): string
    {
        return $this->postcode;
    }

    public function getCity(): string
    {
        return $this->city;
    }

    public function getCountry(): string
    {
        return $this->country;
    }

    public function getAddressStatus(): int
    {
        return $this->addressStatus;
    }

    public function getTelephone1(): string
    {
        return $this->telephone1;
    }

    public function getTelephone2(): string
    {
        return $this->telephone2;
    }

    public function getFax(): string
    {
        return $this->fax;
    }

    public function getEmail(): string
    {
        return $this->email;
    }

    public function getDateOfBirth(): string
    {
        return $this->dateOfBirth;
    }

    public function getDeliveryAddress(): ?AdditionalAddress
    {
        return $this->deliveryAddress;
    }

    public function setId(string $id): void
    {
        $this->id = $id;
    }

    public function setAddress(string $address): void
    {
        $this->address = $address;
    }

    public function setFirstname(string $firstname): void
    {
        $this->firstname = $firstname;
    }

    public function setLastname(string $lastname): void
    {
        $this->lastname = $lastname;
    }

    public function setCompany(string $company): void
    {
        $this->company = $company;
    }

    public function setCo(string $co): void
    {
        $this->co = $co;
    }

    public function setStreet(string $street): void
    {
        $this->street = $street;
    }

    public function setPostcode(string $postcode): void
    {
        $this->postcode = $postcode;
    }

    public function setCity(string $city): void
    {
        $this->city = $city;
    }

    public function setCountry(string $country): void
    {
        $this->country = $country;
    }

    public function setAddressStatus(int $addressStatus): void
    {
        $this->addressStatus = $addressStatus;
    }

    public function setTelephone1(string $telephone1): void
    {
        $this->telephone1 = $telephone1;
    }

    public function setTelephone2(string $telephone2): void
    {
        $this->telephone2 = $telephone2;
    }

    public function setFax(string $fax): void
    {
        $this->fax = $fax;
    }

    public function setEmail(string $email): void
    {
        $this->email = $email;
    }

    public function setDateOfBirth(string $dateOfBirth): void
    {
        $this->dateOfBirth = $dateOfBirth;
    }

    public function setDeliveryAddress(AdditionalAddress $deliveryAddress): void
    {
        $this->deliveryAddress = $deliveryAddress;
    }
}
