<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class DirectPayment extends Struct
{
    /** @var string */
    protected $dateOfPayment;

    /** @var float */
    protected $paidAmount;

    public function __construct(string $dateOfPayment, float $paidAmount)
    {
        $this->dateOfPayment = $dateOfPayment;
        $this->paidAmount    = $paidAmount;
    }

    public function getDateOfPayment(): string
    {
        return $this->dateOfPayment;
    }

    public function getPaidAmount(): float
    {
        return $this->paidAmount;
    }

    public function setDateOfPayment(string $dateOfPayment): void
    {
        $this->dateOfPayment = $dateOfPayment;
    }

    public function setPaidAmount(float $paidAmount): void
    {
        $this->paidAmount = $paidAmount;
    }
}
