<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class Invoice extends Struct
{
    /** @var string */
    protected $invoiceNumber;

    /** @var Date */
    protected $invoiceDate;

    /** @var float */
    protected $amount;

    /** @var float */
    protected $overdueFee;

    public function __construct(array $data = [])
    {
        $this->assign($data);
    }

    /**
     * @return string
     */
    public function getInvoiceNumber(): string
    {
        return $this->invoiceNumber;
    }

    /**
     * @param string $invoiceNumber
     */
    public function setInvoiceNumber(string $invoiceNumber): void
    {
        $this->invoiceNumber = $invoiceNumber;
    }

    /**
     * @return Date
     */
    public function getInvoiceDate(): Date
    {
        return $this->invoiceDate;
    }

    /**
     * @param Date $invoiceDate
     */
    public function setInvoiceDate(Date $invoiceDate): void
    {
        $this->invoiceDate = $invoiceDate;
    }

    /**
     * @return float
     */
    public function getAmount(): float
    {
        return $this->amount;
    }

    /**
     * @param float $amount
     */
    public function setAmount(float $amount): void
    {
        $this->amount = $amount;
    }

    /**
     * @return float
     */
    public function getOverdueFee(): float
    {
        return $this->overdueFee;
    }

    /**
     * @param float $overdueFee
     */
    public function setOverdueFee(float $overdueFee): void
    {
        $this->overdueFee = $overdueFee;
    }
}
