<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class Money extends Struct
{
    /**
     * Amount of money rounded to two decimals
     *
     * @var float
     */
    protected $amount;

    /**
     * Return current amount
     */
    public function getAmount(): float
    {
        return $this->amount;
    }

    /**
     * Set roundet amount of given float value
     */
    public function setAmount(float $amount): void
    {
        $this->amount = round($amount, 2);
    }
}
