<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class NewClaimMessage extends Struct
{
    /** @var DateTime */
    protected $time;

    /** @var string */
    protected $fileNumber;

    /** @var string */
    protected $incoiceNumber;

    /** @var string */
    protected $text;

    public function getTime(): DateTime
    {
        return $this->time;
    }

    public function getFileNumber(): string
    {
        return $this->fileNumber;
    }

    public function getIncoiceNumber(): string
    {
        return $this->incoiceNumber;
    }

    public function getText(): string
    {
        return $this->text;
    }

    public function setTime(DateTime $time): void
    {
        $this->time = $time;
    }

    public function setFileNumber(string $fileNumber): void
    {
        $this->fileNumber = $fileNumber;
    }

    public function setIncoiceNumber(string $incoiceNumber): void
    {
        $this->incoiceNumber = $incoiceNumber;
    }

    public function setText(string $text): void
    {
        $this->text = $text;
    }
}
