<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class PayoutClaim extends Struct
{
    /** @var string */
    protected $fileNumber;

    /** @var string */
    protected $invoiceNumber;

    /** @var string */
    protected $debtorFirstname;

    /** @var string */
    protected $debtorLastname;

    /** @var string */
    protected $debtorCompany;

    /** @var Money */
    protected $currentDebtorPayment;

    /** @var Money */
    protected $totalDebts;

    /** @var Money */
    protected $outstanding;

    /** @var Money */
    protected $previouslySettled;

    /** @var Money */
    protected $currentlySettled;

    /** @var Money */
    protected $currentlySettledOverdueFees;

    /** @var Money */
    protected $currentlySettledOthers;

    /** @var Money */
    protected $currentlySettledBaseClaim;

    /** @var Money */
    protected $currentlySettledEncashmentCosts;

    public function getFileNumber(): string
    {
        return $this->fileNumber;
    }

    public function getInvoiceNumber(): string
    {
        return $this->invoiceNumber;
    }

    public function getDebtorFirstname(): string
    {
        return $this->debtorFirstname;
    }

    public function getDebtorLastname(): string
    {
        return $this->debtorLastname;
    }

    public function getDebtorCompany(): string
    {
        return $this->debtorCompany;
    }

    public function getCurrentDebtorPayment(): Money
    {
        return $this->currentDebtorPayment;
    }

    public function getTotalDebts(): Money
    {
        return $this->totalDebts;
    }

    public function getOutstanding(): Money
    {
        return $this->outstanding;
    }

    public function getPreviouslySettled(): Money
    {
        return $this->previouslySettled;
    }

    public function getCurrentlySettled(): Money
    {
        return $this->currentlySettled;
    }

    public function getCurrentlySettledOverdueFees(): Money
    {
        return $this->currentlySettledOverdueFees;
    }

    public function getCurrentlySettledOthers(): Money
    {
        return $this->currentlySettledOthers;
    }

    public function getCurrentlySettledBaseClaim(): Money
    {
        return $this->currentlySettledBaseClaim;
    }

    public function getCurrentlySettledEncashmentCosts(): Money
    {
        return $this->currentlySettledEncashmentCosts;
    }

    public function setFileNumber(string $fileNumber): void
    {
        $this->fileNumber = $fileNumber;
    }

    public function setInvoiceNumber(string $invoiceNumber): void
    {
        $this->invoiceNumber = $invoiceNumber;
    }

    public function setDebtorFirstname(string $debtorFirstname): void
    {
        $this->debtorFirstname = $debtorFirstname;
    }

    public function setDebtorLastname(string $debtorLastname): void
    {
        $this->debtorLastname = $debtorLastname;
    }

    public function setDebtorCompany(string $debtorCompany): void
    {
        $this->debtorCompany = $debtorCompany;
    }

    public function setCurrentDebtorPayment(Money $currentDebtorPayment): void
    {
        $this->currentDebtorPayment = $currentDebtorPayment;
    }

    public function setTotalDebts(Money $totalDebts): void
    {
        $this->totalDebts = $totalDebts;
    }

    public function setOutstanding(Money $outstanding): void
    {
        $this->outstanding = $outstanding;
    }

    public function setPreviouslySettled(Money $previouslySettled): void
    {
        $this->previouslySettled = $previouslySettled;
    }

    public function setCurrentlySettled(Money $currentlySettled): void
    {
        $this->currentlySettled = $currentlySettled;
    }

    public function setCurrentlySettledOverdueFees(Money $currentlySettledOverdueFees): void
    {
        $this->currentlySettledOverdueFees = $currentlySettledOverdueFees;
    }

    public function setCurrentlySettledOthers(Money $currentlySettledOthers): void
    {
        $this->currentlySettledOthers = $currentlySettledOthers;
    }

    public function setCurrentlySettledBaseClaim(Money $currentlySettledBaseClaim): void
    {
        $this->currentlySettledBaseClaim = $currentlySettledBaseClaim;
    }

    public function setCurrentlySettledEncashmentCosts(Money $currentlySettledEncashmentCosts): void
    {
        $this->currentlySettledEncashmentCosts = $currentlySettledEncashmentCosts;
    }
}
