<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class PayoutSummary extends Struct
{
    /** @var string */
    protected $payoutNumber;

    /** @var Date */
    protected $payoutDate;

    /** @var Money */
    protected $totalPayout;

    public function getPayoutNumber(): string
    {
        return $this->payoutNumber;
    }

    public function getPayoutDate(): Date
    {
        return $this->payoutDate;
    }

    public function getTotalPayout(): Money
    {
        return $this->totalPayout;
    }

    public function setPayoutNumber(string $payoutNumber): void
    {
        $this->payoutNumber = $payoutNumber;
    }

    public function setPayoutDate(Date $payoutDate): void
    {
        $this->payoutDate = $payoutDate;
    }

    public function setTotalPayout(Money $totalPayout): void
    {
        $this->totalPayout = $totalPayout;
    }
}
