<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\Request\Struct;

use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\Claim;
use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\Debtor;

class ClaimRequestStruct extends Struct
{
    /** @var Claim */
    protected $claim;

    /** @var Debtor */
    protected $debtor;

    public function getClaim(): Claim
    {
        return $this->claim;
    }

    public function getDebtor(): Debtor
    {
        return $this->debtor;
    }

    public function setClaim(Claim $claim): void
    {
        $this->claim = $claim;
    }

    public function setDebtor(Debtor $debtor): void
    {
        $this->debtor = $debtor;
    }
}
