<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\Response;

use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\ClaimStatusChange;
use Mefi\Inkasso\Components\SoapAPI\MediafinanzSoapResponse;

class ClaimStatusChangesResponse extends MediafinanzSoapResponse
{
    /** @var null|string */
    protected $transactionId;

    /** @var null|array<ClaimStatusChange> */
    protected $changes;

    public function __construct($data)
    {
        parent::__construct($data);

        if (property_exists($this->payload, 'transactionId')) {
            $this->transactionId = $this->payload->transactionId;
        }

        if (property_exists($this->payload, 'changes')) {
            foreach ($this->payload->changes as $change) {
                $this->changes[] = (new ClaimStatusChange())->assign(get_object_vars($change));
            }
        }
    }

    public function getTransactionId(): ?string
    {
        return $this->transactionId;
    }

    public function getChanges(): ?array
    {
        return $this->changes;
    }
}
