<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\Response;

use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\ClaimStatus;
use Mefi\Inkasso\Components\SoapAPI\MediafinanzSoapResponse;

class ClaimStatusResponse extends MediafinanzSoapResponse
{
    /** @var null|ClaimStatus */
    protected $status;

    public function __construct($data)
    {
        parent::__construct($data);

        if (property_exists($this->payload, 'statusCode')) {
            $data         = get_object_vars($this->payload);
            $this->status = new ClaimStatus($data);
        }
    }

    public function getStatus(): ?ClaimStatus
    {
        return $this->status;
    }

    public function setStatus(?ClaimStatus $status): self
    {
        $this->status = $status;

        return $this;
    }
}
