<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\Response;

use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\ClaimList;
use Mefi\Inkasso\Components\SoapAPI\MediafinanzSoapResponse;

class ClientClaimListResponse extends MediafinanzSoapResponse
{

    /** @var array */
    protected $claimList = [];

    public function __construct($data)
    {
       parent::__construct($data);

       if (!property_exists($this->payload, 'errorList')) {
           $data = get_object_vars($this->payload);
           foreach ($data as $claim) {
               $this->claimList[] = new ClaimList($claim);
           }
       }
    }

    public function getClaimList(): array
    {
        return $this->claimList;
    }
}
