<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\Response;

use Mefi\Inkasso\Components\SoapAPI\Encashment\DataTypes\NewClaimResult;
use Mefi\Inkasso\Components\SoapAPI\MediafinanzSoapResponse;

class NewClaimResponse extends MediafinanzSoapResponse
{
    /** @var null|NewClaimResult */
    protected $newClaimResult;

    public function __construct($data)
    {
        parent::__construct($data);

        if (property_exists($this->payload, 'fileNumber')) {
            $data                 = get_object_vars($this->payload);
            $this->newClaimResult = new NewClaimResult($data);
        }
    }

    public function getNewClaimResult(): ?NewClaimResult
    {
        return $this->newClaimResult;
    }

    public function setNewClaimResult(?NewClaimResult $newClaimResult): self
    {
        $this->newClaimResult = $newClaimResult;

        return $this;
    }
}
