<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Encashment\Service;

use Mefi\Inkasso\Components\SoapAPI\Encashment\Request\Builder\CommitTransactionRequestBuilderInterface;
use Mefi\Inkasso\Components\SoapAPI\Encashment\Request\CommitTransactionRequest;
use Mefi\Inkasso\Components\SoapAPI\MediafinanzSoapClientInterface;

class CommitTransactionService implements CommitTransactionServiceInterface
{
    /** @var CommitTransactionRequestBuilderInterface */
    private $commitTransactionRequestBuilder;

    /** @var MediafinanzSoapClientInterface */
    private $encashmentClient;

    public function __construct(CommitTransactionRequestBuilderInterface $commitTransactionRequestBuilder, MediafinanzSoapClientInterface $encashmentClient)
    {
        $this->commitTransactionRequestBuilder = $commitTransactionRequestBuilder;
        $this->encashmentClient                = $encashmentClient;
    }

    public function commitTransaction(string $transactionId): bool
    {
        $request = new CommitTransactionRequest();
        $request->setRequestData($this->commitTransactionRequestBuilder->getData($transactionId));

        $response = $this->encashmentClient->sendRequest($request);

        return $response === true;
    }
}
