<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI;

use Mefi\Inkasso\Components\SoapAPI\DataTypes\Auth;

if (!defined('WSDL_CACHE_NONE'))
{
    define('WSDL_CACHE_NONE', 0);
}

interface MediafinanzSoapClientInterface
{
    public const DEFAULT_SOAP_CLIENT_CONFIG = [
        'trace'       => 1,
        'compression' => true,
        'exceptions'  => true,
        'cache_wsdl'  => WSDL_CACHE_NONE,
    ];

    public function sendRequest(RequestInterface $request, string $salesChannelId = null);

    public function setAuthorization(Auth $auth): void;

    public function getWsdlPath(): string;

}
