<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI;

use Shopware\Core\Framework\Struct\Struct;

abstract class MediafinanzSoapRequest implements RequestInterface
{
    /** @var null|Struct */
    protected $request;

    public function __construct(Struct $requestDataStruct = null)
    {
        $this->setRequestData($requestDataStruct);
    }

    public function setRequestData(Struct $requestDataStruct = null): void
    {
        $this->request = $requestDataStruct;
    }

    public function getRequestData(): ?Struct
    {
        return $this->request;
    }

    public function normalizeRequestData(): array
    {
        $result = [];

        if ($this->request === null) {
            return $result;
        }

        foreach ($this->request->jsonSerialize() as $key => $value) {
            if ($key !== 'extensions') {
                $result[] = $value;
            }
        }

        return $result;
    }
}
