<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Partner\DataTypes;

use Shopware\Core\Framework\Struct\Struct;

class BankAccount extends Struct
{
    /** @var string */
    protected $owner;

    /** @var string */
    protected $bankCode;

    /** @var string */
    protected $accountNumber;

    /** @var string */
    protected $bankName;

    /** @var null|string */
    protected $iban;

    /** @var null|string */
    protected $bic;

    public function getOwner(): string
    {
        return $this->owner;
    }

    public function setOwner(string $owner): void
    {
        $this->owner = $owner;
    }

    public function getBankCode(): string
    {
        return $this->bankCode;
    }

    public function setBankCode(string $bankCode): void
    {
        $this->bankCode = $bankCode;
    }

    public function getAccountNumber(): string
    {
        return $this->accountNumber;
    }

    public function setAccountNumber(string $accountNumber): void
    {
        $this->accountNumber = $accountNumber;
    }

    public function getBankName(): string
    {
        return $this->bankName;
    }

    public function setBankName(string $bankName): void
    {
        $this->bankName = $bankName;
    }

    public function getIban(): ?string
    {
        return $this->iban;
    }

    public function setIban(?string $iban): void
    {
        $this->iban = $iban;
    }

    public function getBic(): ?string
    {
        return $this->bic;
    }

    public function setBic(?string $bic): void
    {
        $this->bic = $bic;
    }
}
