<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Partner\DataTypes;

use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\SoapAPI\Partner\DataTypes\Traits\BasicPersonTrait;

class ClientRegistration extends Struct
{
    use BasicPersonTrait;

    /** @var string */
    protected $partnerCustomerId;

    /** @var string */
    protected $legalForm;

    /** @var string */
    protected $fax;

    /** @var null|int */
    protected $estimatedClaims;

    /** @var null|string */
    protected $homepage;

    public function getPartnerCustomerId(): string
    {
        return $this->partnerCustomerId;
    }

    public function setPartnerCustomerId(string $partnerCustomerId): void
    {
        $this->partnerCustomerId = $partnerCustomerId;
    }

    public function getLegalForm(): string
    {
        return $this->legalForm;
    }

    public function setLegalForm(string $legalForm): void
    {
        $this->legalForm = $legalForm;
    }

    public function getEstimatedClaims(): ?int
    {
        return $this->estimatedClaims;
    }

    public function setEstimatedClaims(?int $estimatedClaims): void
    {
        $this->estimatedClaims = $estimatedClaims;
    }

    public function getHomepage(): ?string
    {
        return $this->homepage;
    }

    public function setHomepage(?string $homepage): void
    {
        $this->homepage = $homepage;
    }

    public function getFax(): string
    {
        return $this->fax;
    }

    public function setFax(string $fax): void
    {
        $this->fax = $fax;
    }
}
