<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Partner\DataTypes\Traits;

trait BasicPersonTrait
{
    /** @var string */
    protected $id;

    /** @var string */
    protected $company;

    /** @var string */
    protected $address;

    /** @var string */
    protected $firstname;

    /** @var string */
    protected $lastname;

    /** @var string */
    protected $dayOfBirth;

    /** @var string */
    protected $street;

    /** @var string */
    protected $houseNumber;

    /** @var string */
    protected $postcode;

    /** @var string */
    protected $co;

    /** @var string */
    protected $city;

    /** @var string */
    protected $telephone;

    /** @var string */
    protected $email;

    /** @var string */
    protected $country;

    /** @var string */
    protected $mobilePhone;

    /** @var string[] */
    protected $errors = [];

    public function getId(): string
    {
        return $this->id;
    }

    public function setId(string $id): void
    {
        $this->id = $id;
    }

    public function getCompany(): string
    {
        return $this->company;
    }

    public function setCompany(string $company): void
    {
        $this->company = $company;
    }

    public function getAddress(): string
    {
        return $this->address;
    }

    public function setAddress(?string $address): void
    {
        if ($address === null) {
            $this->address = '@';

            return;
        }

        if (strtolower($address) === 'mr') {
            $this->address = 'm';
        } elseif (strtolower($address) === 'mrs') {
            $this->address = 'f';
        } elseif (!empty($this->getCompany())) {
            $this->address = 'c';
        } else {
            $this->address = '@';
        }
    }

    public function getFirstname(): string
    {
        return $this->firstname;
    }

    public function setFirstname(string $firstname): void
    {
        $this->firstname = $firstname;
    }

    public function getLastname(): string
    {
        return $this->lastname;
    }

    public function setLastname(string $lastname): void
    {
        $this->lastname = $lastname;
    }

    public function getDayOfBirth(): string
    {
        return $this->dayOfBirth;
    }

    public function setDayOfBirth(string $dayOfBirth): void
    {
        $this->dayOfBirth = $dayOfBirth;
    }

    public function getStreet(): string
    {
        return $this->street;
    }

    public function setStreet(string $street): void
    {
        $this->street = $street;
    }

    public function getHouseNumber(): string
    {
        return $this->houseNumber;
    }

    public function setHouseNumber(string $houseNumber): void
    {
        $this->houseNumber = $houseNumber;
    }

    public function getPostcode(): string
    {
        return $this->postcode;
    }

    public function setPostcode(string $postcode): void
    {
        $this->postcode = $postcode;
    }

    public function getCo(): string
    {
        return $this->co;
    }

    public function setCo(string $co): void
    {
        $this->co = $co;
    }

    public function getCity(): string
    {
        return $this->city;
    }

    public function setCity(string $city): void
    {
        $this->city = $city;
    }

    public function getTelephone(): string
    {
        return $this->telephone;
    }

    public function setTelephone(string $telephone): void
    {
        $this->telephone = $telephone;
    }

    public function getEmail(): string
    {
        return $this->email;
    }

    public function setEmail(string $email): void
    {
        $this->email = $email;
    }

    public function getCountry(): string
    {
        return $this->country;
    }

    public function setCountry(string $country): void
    {
        $this->country = $country;
    }

    public function getMobilePhone(): string
    {
        return $this->mobilePhone;
    }

    public function setMobilePhone(string $mobilePhone): void
    {
        $this->mobilePhone = $mobilePhone;
    }

    public function getErrors(): array
    {
        return $this->errors;
    }

    public function setErrors(array $errors): void
    {
        $this->errors = $errors;
    }
}
