<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Partner\Request\Struct;

use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\SoapAPI\Partner\DataTypes\BankAccount;
use Mefi\Inkasso\Components\SoapAPI\Partner\DataTypes\ClientRegistration;
use Mefi\Inkasso\Components\SoapAPI\Partner\DataTypes\InternalParams;

class ClientRegistrationRequestStruct extends Struct
{
    /** @var ClientRegistration */
    protected $clientRegistration;

    /** @var BankAccount */
    protected $bankAccount;

    /** @var InternalParams */
    protected $internalParams;

    public function getClientRegistration(): ClientRegistration
    {
        return $this->clientRegistration;
    }

    public function setClientRegistration(ClientRegistration $clientRegistration): void
    {
        $this->clientRegistration = $clientRegistration;
    }

    public function getBankAccount(): BankAccount
    {
        return $this->bankAccount;
    }

    public function setBankAccount(BankAccount $bankAccount): void
    {
        $this->bankAccount = $bankAccount;
    }

    public function getInternalParams(): InternalParams
    {
        return $this->internalParams;
    }

    public function setInternalParams(InternalParams $internalParam): void
    {
        $this->internalParams = $internalParam;
    }
}
