<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\SoapAPI\Partner\Response;

use stdClass;
use Mefi\Inkasso\Components\SoapAPI\MediafinanzSoapResponse;

class RegisterClientResponse extends MediafinanzSoapResponse
{
    /** @var null|string */
    protected $clientId;

    /**
     * @param stdClass $data
     */
    public function __construct($data)
    {
        parent::__construct($data);

        if (property_exists($data, 'clientId')) {
            $this->clientId = $data->clientId;
        }
    }

    public function getClientId(): ?string
    {
        return $this->clientId;
    }

    public function setClientId(?string $clientId): self
    {
        $this->clientId = $clientId;

        return $this;
    }
}
