<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Factory;

use Symfony\Component\DependencyInjection\Compiler\CompilerPassInterface;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Reference;

class ProductFactoryCompilerPass implements CompilerPassInterface
{
    public function process(ContainerBuilder $container): void
    {
        if (!$container->hasDefinition(SolvencyProductFactory::class)) {
            return;
        }

        $definition     = $container->getDefinition(SolvencyProductFactory::class);
        $taggedServices = $container->findTaggedServiceIds('mefi_inkasso.solvency_product');

        foreach ($taggedServices as $id => $tags) {
            foreach ($tags as $attributes) {
                $definition->addMethodCall('addProduct', [
                    new Reference($id),
                    $attributes['product'],
                ]);
            }
        }
    }
}
