<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Factory;

use RuntimeException;
use Mefi\Inkasso\Components\Solvency\Product\SolvencyProductInterface;

class SolvencyProductFactory implements SolvencyProductFactoryInterface
{
    /** @var array */
    private $products = [];

    public function getProduct(string $name): SolvencyProductInterface
    {
        if (array_key_exists($name, $this->products)) {
            return $this->products[$name];
        }

        throw new RuntimeException(sprintf('Could not find solvency product %s', $name));
    }

    public function addProduct(SolvencyProductInterface $product, string $productName): void
    {
        if (!array_key_exists($productName, $this->products)) {
            $this->products[$productName] = $product;
        }
    }
}
