<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency;

use Shopware\Core\Checkout\Order\Aggregate\OrderAddress\OrderAddressEntity;
use Shopware\Core\Framework\Context;
use Mefi\Inkasso\Core\DataAbstractionLayer\SolvencyCheckHistory\SolvencyCheckHistoryEntity;
use Mefi\Inkasso\Components\SoapAPI\Buergel\DataTypes\BuergelSuspect;

interface SolvencyCachingServiceInterface
{
    public function getScoreById(string $scoreCacheEntityId, Context $context): ?SolvencyCheckHistoryEntity;

    public function getScoreFromCache(
        string $customerId,
        string $product,
        OrderAddressEntity $address,
        Context $context
    ): ?SolvencyCheckHistoryEntity;

    public function isCacheScoreValid(?SolvencyCheckHistoryEntity $historyEntity, string $salesChannelId = null): bool;

    public function writeScoreToCache(
        ?string $id,
        string $customerId,
        string $customerNumber,
        BuergelSuspect $suspect,
        string $addressHash,
        int $justification,
        float $totalAmount,
        string $product,
        float $score,
        ?string $responseText,
        Context $context
    ): string;

    public function updateScore(string $scoreId, ?float $newScore, ?string $responseText, Context $context): void;
}
