<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency;

use Shopware\Core\Checkout\Order\Aggregate\OrderAddress\OrderAddressEntity;
use Mefi\Inkasso\Components\Solvency\Struct\ScoreResult;
use Shopware\Core\Framework\Struct\Struct;

interface SolvencyScoreApiServiceInterface
{
    public function getScore(
        OrderAddressEntity $address,
        string $customerEmail,
        bool $isB2bCustomer,
        string $salesChannelId,
        int $justification,
        string $selectedProduct = null
    ): ScoreResult;

    public function getRequestData() : Struct;
}
