<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Struct;

use Shopware\Core\Framework\Struct\Struct;
use Mefi\Inkasso\Components\SoapAPI\DataTypes\ErrorCollection;

class ScoreResult extends Struct
{
    /** @var null|string */
    protected $historyId;

    /** @var null|float */
    protected $score;

    /** @var null|ErrorCollection */
    protected $errors;

    /** @var null|string */
    protected $message;

    /** @var null|string */
    protected $product;

    public function __construct(?float $score = null, ?ErrorCollection $errorCollection = null, ?string $message = null, ?string $product = null)
    {
        $this->score   = $score;
        $this->errors  = $errorCollection;
        $this->message = $message;
        $this->product = $product;
    }

    public function getScore(): ?float
    {
        return $this->score;
    }

    public function setScore(?float $score): self
    {
        $this->score = $score;

        return $this;
    }

    public function getErrors(): ?ErrorCollection
    {
        return $this->errors;
    }

    public function setErrors(?ErrorCollection $errors): self
    {
        $this->errors = $errors;

        return $this;
    }

    public function getMessage(): ?string
    {
        return $this->message;
    }

    public function getProduct(): ?string
    {
        return $this->product;
    }

    public function setProduct(?string $product): self
    {
        $this->product = $product;

        return $this;
    }

    public function getHistoryId(): ?string
    {
        return $this->historyId;
    }

    public function setHistoryId(?string $historyId): self
    {
        $this->historyId = $historyId;

        return $this;
    }

}
