<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Struct;

use Shopware\Core\Framework\Struct\Struct;

class ScoringRule extends Struct
{
    /** @var null|float */
    protected $maxAmount;

    /** @var null|float */
    protected $minAmount;

    /** @var null|float */
    protected $score;

    public function __construct(?float $maxAmount = null, ?float $minAmount = null, ?float $score = null)
    {
        $this->maxAmount = $maxAmount;
        $this->minAmount = $minAmount;
        $this->score     = $score;
    }

    public function getMaxAmount(): ?float
    {
        return $this->maxAmount;
    }

    public function setMaxAmount(?float $maxAmount): self
    {
        $this->maxAmount = $maxAmount;

        return $this;
    }

    public function getMinAmount(): ?float
    {
        return $this->minAmount;
    }

    public function setMinAmount(?float $minAmount): self
    {
        $this->minAmount = $minAmount;

        return $this;
    }

    public function getScore(): ?float
    {
        return $this->score;
    }

    public function setScore(?float $score): self
    {
        $this->score = $score;

        return $this;
    }
}
