<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Components\Solvency\Validation;

use Shopware\Core\Framework\Context;
use Symfony\Component\Validator\ConstraintViolationList;
use Mefi\Inkasso\Components\Solvency\Struct\CustomerInfoStruct;
use Mefi\Inkasso\Components\Solvency\Struct\ScoreResult;

interface ScoreValidatorInterface
{
    /**
     * Executes a complete validation by including configurations specific to an order.
     */
    public function validate(ScoreResult $score, CustomerInfoStruct $customerInfoStruct, float $totalAmount, string $salesChannelId, Context $context): ConstraintViolationList;
}
