<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\Claim;

use Shopware\Core\Checkout\Customer\CustomerEntity;
use Shopware\Core\Checkout\Order\OrderEntity;
use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;
use Mefi\Inkasso\Core\DataAbstractionLayer\ClaimCustomer\ClaimCustomerEntity;
use Mefi\Inkasso\Core\DataAbstractionLayer\ClaimDetails\ClaimDetailsEntity;
use Mefi\Inkasso\Core\DataAbstractionLayer\ClaimStatusHistory\ClaimStatusHistoryCollection;
use Mefi\Inkasso\Core\DataAbstractionLayer\ClaimDirectPayment\ClaimDirectPaymentEntityCollection;


class ClaimEntity extends Entity
{
    use EntityIdTrait;

    /** @var null|string */
    protected $customerId;

    /** @var null|CustomerEntity */
    protected $customer;

    /** @var null|string */
    protected $orderId;

    /** @var null|OrderEntity */
    protected $order;

    /** @var string */
    protected $invoiceNumber;

    /** @var string */
    protected $fileNumber;

    /** @var string */
    protected $claimCustomerId;

    /** @var string */
    protected $claimDetailId;

    /** @var ClaimCustomerEntity */
    protected $claimCustomer;

    /** @var ClaimDetailsEntity */
    protected $claimDetail;

    /** @var ClaimStatusHistoryCollection */
    protected $statusHistory;

    /** @var  ClaimDirectPaymentEntityCollection */
    protected $directPayment;

    public function getCustomerId(): ?string
    {
        return $this->customerId;
    }

    public function setCustomerId(?string $customerId): void
    {
        $this->customerId = $customerId;
    }

    public function getCustomer(): ?CustomerEntity
    {
        return $this->customer;
    }

    public function setCustomer(?CustomerEntity $customer): void
    {
        $this->customer = $customer;
    }

    public function getOrderId(): ?string
    {
        return $this->orderId;
    }

    public function setOrderId(?string $orderId): void
    {
        $this->orderId = $orderId;
    }

    public function getOrder(): ?OrderEntity
    {
        return $this->order;
    }

    public function setOrder(?OrderEntity $order): void
    {
        $this->order = $order;
    }

    public function getInvoiceNumber(): string
    {
        return $this->invoiceNumber;
    }

    public function setInvoiceNumber(string $invoiceNumber): void
    {
        $this->invoiceNumber = $invoiceNumber;
    }

    public function getFileNumber(): string
    {
        return $this->fileNumber;
    }

    public function setFileNumber(string $fileNumber): void
    {
        $this->fileNumber = $fileNumber;
    }

    public function getClaimCustomerId(): string
    {
        return $this->claimCustomerId;
    }

    public function setClaimCustomerId(string $claimCustomerId): void
    {
        $this->claimCustomerId = $claimCustomerId;
    }

    public function getClaimDetailId(): string
    {
        return $this->claimDetailId;
    }

    public function setClaimDetailId(string $claimDetailId): void
    {
        $this->claimDetailId = $claimDetailId;
    }

    public function getClaimCustomer(): ClaimCustomerEntity
    {
        return $this->claimCustomer;
    }

    public function setClaimCustomer(ClaimCustomerEntity $claimCustomer): void
    {
        $this->claimCustomer = $claimCustomer;
    }

    public function getClaimDetail(): ClaimDetailsEntity
    {
        return $this->claimDetail;
    }

    public function setClaimDetail(ClaimDetailsEntity $claimDetail): void
    {
        $this->claimDetail = $claimDetail;
    }

    public function getStatusHistory(): ClaimStatusHistoryCollection
    {
        return $this->statusHistory;
    }

    public function setStatusHistory(ClaimStatusHistoryCollection $statusHistory): self
    {
        $this->statusHistory = $statusHistory;

        return $this;
    }

    public function getDirectPayment(): ClaimDirectPaymentEntityCollection
    {
        return $this->directPayment;
    }

    public function setDirectPayment(ClaimDirectPaymentEntityCollection $directPayment): self
    {
        $this->directPayment = $directPayment;

        return $this;
    }

}
