<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\ClaimCustomer;

use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;
use Shopware\Core\System\Country\CountryEntity;
use Mefi\Inkasso\Core\DataAbstractionLayer\Claim\ClaimEntity;

class ClaimCustomerEntity extends Entity
{
    use EntityIdTrait;

    /** @var string */
    protected $company;

    /** @var string */
    protected $lastName;

    /** @var string */
    protected $firstName;

    /** @var string */
    protected $street;

    /** @var string */
    protected $zipCode;

    /** @var string */
    protected $city;

    /** @var string */
    protected $countryId;

    /** @var string */
    protected $phone;

    /** @var string */
    protected $email;

    /** @var string */
    protected $claimId;

    /** @var ClaimEntity */
    protected $claim;

    /** @var CountryEntity */
    protected $country;

    public function getCompany(): string
    {
        return $this->company;
    }

    public function getLastName(): string
    {
        return $this->lastName;
    }

    public function getFirstName(): string
    {
        return $this->firstName;
    }

    public function getStreet(): string
    {
        return $this->street;
    }

    public function getZipCode(): string
    {
        return $this->zipCode;
    }

    public function getCity(): string
    {
        return $this->city;
    }

    public function getCountryId(): string
    {
        return $this->countryId;
    }

    public function getPhone(): string
    {
        return $this->phone;
    }

    public function getEmail(): string
    {
        return $this->email;
    }

    public function setCompany(string $company): void
    {
        $this->company = $company;
    }

    public function setLastName(string $lastName): void
    {
        $this->lastName = $lastName;
    }

    public function setFirstName(string $firstName): void
    {
        $this->firstName = $firstName;
    }

    public function setStreet(string $street): void
    {
        $this->street = $street;
    }

    public function setZipCode(string $zipCode): void
    {
        $this->zipCode = $zipCode;
    }

    public function setCity(string $city): void
    {
        $this->city = $city;
    }

    public function setCountryId(string $countryId): void
    {
        $this->countryId = $countryId;
    }

    public function setPhone(string $phone): void
    {
        $this->phone = $phone;
    }

    public function setEmail(string $email): void
    {
        $this->email = $email;
    }

    public function getClaim(): ClaimEntity
    {
        return $this->claim;
    }

    public function setClaim(ClaimEntity $claim): self
    {
        $this->claim = $claim;

        return $this;
    }

    public function getCountry(): CountryEntity
    {
        return $this->country;
    }

    public function setCountry(CountryEntity $country): self
    {
        $this->country = $country;

        return $this;
    }

    public function getClaimId(): string
    {
        return $this->claimId;
    }

    public function setClaimId(string $claimId): self
    {
        $this->claimId = $claimId;

        return $this;
    }
}
