<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\ClaimDetails;

use DateTimeInterface;
use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;
use Mefi\Inkasso\Core\DataAbstractionLayer\Claim\ClaimEntity;

class ClaimDetailsEntity extends Entity
{
    use EntityIdTrait;

    /** @var string */
    protected $fileNumber;

    /** @var DateTimeInterface */
    protected $timeOfTransmission;

    /** @var float */
    protected $amount;

    /** @var null|string */
    protected $status;

    /** @var string */
    protected $type;

    /** @var float */
    protected $cost;

    /** @var DateTimeInterface */
    protected $dateOfLastReminder;

    /** @var string */
    protected $notice;

    /** @var string */
    protected $claimId;

    /** @var ClaimEntity */
    protected $claim;

    public function getFileNumber(): string
    {
        return $this->fileNumber;
    }

    public function getTimeOfTransmission(): DateTimeInterface
    {
        return $this->timeOfTransmission;
    }

    public function getAmount(): float
    {
        return $this->amount;
    }

    public function getStatus(): ?string
    {
        return $this->status;
    }

    public function getType(): string
    {
        return $this->type;
    }

    public function getCost(): float
    {
        return $this->cost;
    }

    public function getDateOfLastReminder(): DateTimeInterface
    {
        return $this->dateOfLastReminder;
    }

    public function getNotice(): string
    {
        return $this->notice;
    }

    public function setFileNumber(string $fileNumber): void
    {
        $this->fileNumber = $fileNumber;
    }

    public function setTimeOfTransmission(DateTimeInterface $timeOfTransmission): void
    {
        $this->timeOfTransmission = $timeOfTransmission;
    }

    public function setAmount(float $amount): void
    {
        $this->amount = $amount;
    }

    public function setStatus(string $status): void
    {
        $this->status = $status;
    }

    public function setType(string $type): void
    {
        $this->type = $type;
    }

    public function setCost(float $cost): void
    {
        $this->cost = $cost;
    }

    public function setDateOfLastReminder(DateTimeInterface $dateOfLastReminder): void
    {
        $this->dateOfLastReminder = $dateOfLastReminder;
    }

    public function setNotice(string $notice): void
    {
        $this->notice = $notice;
    }

    public function getClaimId(): string
    {
        return $this->claimId;
    }

    public function setClaimId(string $claimId): self
    {
        $this->claimId = $claimId;

        return $this;
    }

    public function getClaim(): ClaimEntity
    {
        return $this->claim;
    }

    public function setClaim(ClaimEntity $claim): self
    {
        $this->claim = $claim;

        return $this;
    }
}
