<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\ClaimDirectPayment;

use DateTimeInterface;
use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;
use Mefi\Inkasso\Core\DataAbstractionLayer\Claim\ClaimEntity;

class ClaimDirectPaymentEntity extends Entity
{
    use EntityIdTrait;

    /** @var string */
    protected $claimId;

    /** @var ClaimEntity */
    protected $claim;

    /** @var string */
    protected $invoiceNumber;

    /** @var string */
    protected $fileNumber;

    /** @var float */
    protected $paidAmount;

    /** @var DateTimeInterface */
    protected $dateOfPayment;

    /**
     * @return string
     */
    public function getClaimId(): string
    {
        return $this->claimId;
    }

    /**
     * @param string $claimId
     * @return $this
     */
    public function setClaimId(string $claimId): self
    {
        $this->claimId = $claimId;
        return $this;
    }

    /**
     * @return ClaimEntity
     */
    public function getClaim(): ClaimEntity
    {
        return $this->claim;
    }

    /**
     * @param ClaimEntity $claim
     * @return $this
     */
    public function setClaim(ClaimEntity $claim): self
    {
        $this->claim = $claim;
        return $this;
    }

    /**
     * @return string
     */
    public function getInvoiceNumber(): string
    {
        return $this->invoiceNumber;
    }

    /**
     * @param string $invoiceNumber
     */
    public function setInvoiceNumber(string $invoiceNumber): void
    {
        $this->invoiceNumber = $invoiceNumber;
    }

    /**
     * @return string
     */
    public function getFileNumber(): string
    {
        return $this->fileNumber;
    }

    /**
     * @param string $fileNumber
     */
    public function setFileNumber(string $fileNumber): void
    {
        $this->fileNumber = $fileNumber;
    }

    /**
     * @return float
     */
    public function getPaidAmount(): float
    {
        return $this->paidAmount;
    }

    /**
     * @param float $paidAmount
     */
    public function setPaidAmount(float $paidAmount): void
    {
        $this->paidAmount = $paidAmount;
    }

    /**
     * @return DateTimeInterface
     */
    public function getDateOfPayment(): DateTimeInterface
    {
        return $this->dateOfPayment;
    }

    /**
     * @param DateTimeInterface $dateOfPayment
     */
    public function setDateOfPayment(DateTimeInterface $dateOfPayment): void
    {
        $this->dateOfPayment = $dateOfPayment;
    }
}
