<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\ClaimStatusHistory;

use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;
use Mefi\Inkasso\Core\DataAbstractionLayer\Claim\ClaimEntity;

class ClaimStatusHistoryEntity extends Entity
{
    use EntityIdTrait;

    /** @var string */
    protected $claimId;

    /** @var ClaimEntity */
    protected $claim;

    /** @var string */
    protected $invoiceNumber;

    /** @var string */
    protected $fileNumber;

    /** @var string */
    protected $changedAt;

    /** @var int */
    protected $statusCode;

    /** @var string */
    protected $statusName;

    /** @var int */
    protected $closingReasonCode;

    /** @var string */
    protected $closingReasonExplanation;

    /** @var string */
    protected $closingReasonNote;

    public function getClaimId(): string
    {
        return $this->claimId;
    }

    public function setClaimId(string $claimId): self
    {
        $this->claimId = $claimId;

        return $this;
    }

    public function getClaim(): ClaimEntity
    {
        return $this->claim;
    }

    public function setClaim(ClaimEntity $claim): self
    {
        $this->claim = $claim;

        return $this;
    }

    public function getInvoiceNumber(): string
    {
        return $this->invoiceNumber;
    }

    public function setInvoiceNumber(string $invoiceNumber): self
    {
        $this->invoiceNumber = $invoiceNumber;

        return $this;
    }

    public function getFileNumber(): string
    {
        return $this->fileNumber;
    }

    public function setFileNumber(string $fileNumber): self
    {
        $this->fileNumber = $fileNumber;

        return $this;
    }

    public function getChangedAt(): string
    {
        return $this->changedAt;
    }

    public function setChangedAt(string $changedAt): self
    {
        $this->changedAt = $changedAt;

        return $this;
    }

    public function getStatusCode(): int
    {
        return $this->statusCode;
    }

    public function setStatusCode(int $statusCode): self
    {
        $this->statusCode = $statusCode;

        return $this;
    }

    public function getClosingReasonCode(): int
    {
        return $this->closingReasonCode;
    }

    public function setClosingReasonCode(int $closingReasonCode): self
    {
        $this->closingReasonCode = $closingReasonCode;

        return $this;
    }

    public function getClosingReasonExplanation(): string
    {
        return $this->closingReasonExplanation;
    }

    public function setClosingReasonExplanation(string $closingReasonExplanation): self
    {
        $this->closingReasonExplanation = $closingReasonExplanation;

        return $this;
    }

    public function getClosingReasonNote(): string
    {
        return $this->closingReasonNote;
    }

    public function setClosingReasonNote(string $closingReasonNote): self
    {
        $this->closingReasonNote = $closingReasonNote;

        return $this;
    }

    public function getStatusName(): string
    {
        return $this->statusName;
    }

    public function setStatusName(string $statusName): self
    {
        $this->statusName = $statusName;

        return $this;
    }
}
