<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Core\DataAbstractionLayer\SolvencyCheckHistory;

use Shopware\Core\Checkout\Customer\CustomerEntity;
use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;

class SolvencyCheckHistoryEntity extends Entity
{
    use EntityIdTrait;

    /** @var string */
    protected $customerId;

    /** @var null|CustomerEntity */
    protected $customer;

    /** @var string */
    protected $customernumber;

    /** @var string */
    protected $lastname;

    /** @var string */
    protected $firstname;

    /** @var null|string */
    protected $company;

    /** @var string */
    protected $street;

    /** @var string */
    protected $postcode;

    /** @var string */
    protected $city;

    /** @var string */
    protected $country;

    /** @var string */
    protected $addressHash;

    /** @var float */
    protected $amount;

    /** @var string */
    protected $product;

    /** @var float */
    protected $score;

    /** @var null|string */
    protected $responseText;

    /** @var int */
    protected $justification;

    // @todo birthday/registerEntry noch implementieren...

    /**
     * @return string
     */
    public function getCustomerId(): string
    {
        return $this->customerId;
    }

    /**
     * @param string $customerId
     */
    public function setCustomerId(string $customerId): void
    {
        $this->customerId = $customerId;
    }

    /**
     * @return CustomerEntity|null
     */
    public function getCustomer(): ?CustomerEntity
    {
        return $this->customer;
    }

    /**
     * @param CustomerEntity|null $customer
     */
    public function setCustomer(?CustomerEntity $customer): void
    {
        $this->customer = $customer;
    }

    /**
     * @return string
     */
    public function getCustomernumber(): string
    {
        return $this->customernumber;
    }

    /**
     * @param string $customernumber
     */
    public function setCustomernumber(string $customernumber): void
    {
        $this->customernumber = $customernumber;
    }

    /**
     * @return string
     */
    public function getLastname(): string
    {
        return $this->lastname;
    }

    /**
     * @param string $lastname
     */
    public function setLastname(string $lastname): void
    {
        $this->lastname = $lastname;
    }

    /**
     * @return string
     */
    public function getFirstname(): string
    {
        return $this->firstname;
    }

    /**
     * @param string $firstname
     */
    public function setFirstname(string $firstname): void
    {
        $this->firstname = $firstname;
    }

    /**
     * @return string|null
     */
    public function getCompany(): ?string
    {
        return $this->company;
    }

    /**
     * @param string|null $company
     */
    public function setCompany(?string $company): void
    {
        $this->company = $company;
    }

    /**
     * @return string
     */
    public function getStreet(): string
    {
        return $this->street;
    }

    /**
     * @param string $street
     */
    public function setStreet(string $street): void
    {
        $this->street = $street;
    }

    /**
     * @return string
     */
    public function getPostcode(): string
    {
        return $this->postcode;
    }

    /**
     * @param string $postcode
     */
    public function setPostcode(string $postcode): void
    {
        $this->postcode = $postcode;
    }

    /**
     * @return string
     */
    public function getCity(): string
    {
        return $this->city;
    }

    /**
     * @param string $city
     */
    public function setCity(string $city): void
    {
        $this->city = $city;
    }

    /**
     * @return string
     */
    public function getCountry(): string
    {
        return $this->country;
    }

    /**
     * @param string $country
     */
    public function setCountry(string $country): void
    {
        $this->country = $country;
    }

    /**
     * @return string
     */
    public function getAddressHash(): string
    {
        return $this->addressHash;
    }

    /**
     * @param string $addressHash
     */
    public function setAddressHash(string $addressHash): void
    {
        $this->addressHash = $addressHash;
    }

    /**
     * @return float
     */
    public function getAmount(): float
    {
        return $this->amount;
    }

    /**
     * @param float $amount
     */
    public function setAmount(float $amount): void
    {
        $this->amount = $amount;
    }

    /**
     * @return string
     */
    public function getProduct(): string
    {
        return $this->product;
    }

    /**
     * @param string $product
     */
    public function setProduct(string $product): void
    {
        $this->product = $product;
    }

    /**
     * @return float
     */
    public function getScore(): float
    {
        return $this->score;
    }

    /**
     * @param float $score
     */
    public function setScore(float $score): void
    {
        $this->score = $score;
    }

    /**
     * @return string|null
     */
    public function getResponseText(): ?string
    {
        return $this->responseText;
    }

    /**
     * @param string|null $responseText
     */
    public function setResponseText(?string $responseText): void
    {
        $this->responseText = $responseText;
    }

    /**
     * @return int
     */
    public function getJustification(): int
    {
        return $this->justification;
    }

    /**
     * @param int $justification
     */
    public function setJustification(int $justification): void
    {
        $this->justification = $justification;
    }

}
