<?php

declare(strict_types=1);

namespace Mefi\Inkasso;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Plugin;
use Shopware\Core\Framework\Plugin\Context\UninstallContext;


if (file_exists(dirname(__DIR__) . '/packages/vendor/autoload.php')) {
    require_once dirname(__DIR__) . '/packages/vendor/autoload.php';
}

class MefiInkasso extends Plugin
{
    /**
     * @param UninstallContext $uninstallContext
     * @throws \Doctrine\DBAL\DBALException
     */
    public function uninstall(UninstallContext $uninstallContext): void
    {
        parent::uninstall($uninstallContext);

        if ($uninstallContext->keepUserData()) {
            return;
        }

        /** @var \Doctrine\DBAL\Connection $connection  */
        $connection = $this->container->get(Connection::class);
        $connection->executeStatement("
            SET FOREIGN_KEY_CHECKS = 0;
            DROP TABLE IF EXISTS `mefi_inkasso_claim_direct_payment`;
            DROP TABLE IF EXISTS `mefi_inkasso_claim_details`;
            DROP TABLE IF EXISTS `mefi_inkasso_claim_customer`;
            DROP TABLE IF EXISTS `mefi_inkasso_claim_status_history`;
            DROP TABLE IF EXISTS `mefi_inkasso_claim`;
            DROP TABLE IF EXISTS `mefi_inkasso_solvency_check_history`;
            DELETE FROM `system_config` WHERE `configuration_key` LIKE 'MefiInkasso.%';
            DELETE FROM `snippet` WHERE `translation_key` LIKE 'MefiInkasso.%';
            SET FOREIGN_KEY_CHECKS = 1;
        ");
    }
}
