<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1596667868AddClaimCustomerTable extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1596667868;
    }

    public function update(Connection $connection): void
    {
        $connection->executeStatement('
            CREATE TABLE IF NOT EXISTS `mefi_inkasso_claim_customer` (
                `id` binary(16) NOT NULL PRIMARY KEY,
                `company` varchar(255) NULL,
                `last_name` varchar(255) NOT NULL,
                `first_name` varchar(255) NOT NULL,
                `street` varchar(255) NOT NULL,
                `zip_code` varchar(10) NOT NULL,
                `city` varchar(255) NOT NULL,
                `country_id` binary(16) NOT NULL,
                `phone` varchar(100) NULL,
                `email` varchar(255) NOT NULL,
                `created_at` DATETIME(3) NOT NULL,
                `updated_at` DATETIME(3) NULL,
              CONSTRAINT `fk.country.country_id` FOREIGN KEY (`country_id`)
                REFERENCES `country` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
        ');
    }

    public function updateDestructive(Connection $connection): void
    {
        // implement update destructive
    }
}
