<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1596667869AddClaimDetailsTable extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1596667869;
    }

    public function update(Connection $connection): void
    {
        $connection->executeStatement('
            CREATE TABLE IF NOT EXISTS `mefi_inkasso_claim_details` (
                `id` binary(16) NOT NULL PRIMARY KEY,
                `file_number` varchar(255) NOT NULL,
                `time_of_transmission` DATETIME NOT NULL,
                `amount` double NOT NULL,
                `status` varchar(255) NULL,
                `type` varchar(255) NOT NULL,
                `reason` varchar(255) NOT NULL,
                `cost` double DEFAULT 0.0,
                `date_of_last_reminder` DATE NOT NULL,
                `notice` varchar(255) NULL,
                `created_at` DATETIME(3) NOT NULL,
                `updated_at` DATETIME(3) NULL
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
        ');
    }

    public function updateDestructive(Connection $connection): void
    {
        // implement update destructive
    }
}
