<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1596667870AddClaimTable extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1596667870;
    }

    public function update(Connection $connection): void
    {
        $connection->executeStatement('
            CREATE TABLE IF NOT EXISTS `mefi_inkasso_claim` (
                `id` binary(16) NOT NULL PRIMARY KEY,
                `customer_id` binary(16) NOT NULL,
                `order_id` binary(16) NOT NULL,
                `invoice_number` varchar(255) NOT NULL,
                `file_number` varchar(255) NOT NULL,
                `claim_customer_id` binary(16) NOT NULL,
                `claim_detail_id` binary(16) NOT NULL,
                `created_at` DATETIME(3) NOT NULL,
                `updated_at` DATETIME(3) NULL,
              CONSTRAINT `fk.customer.id` FOREIGN KEY (`customer_id`)
                REFERENCES `customer` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
              CONSTRAINT `fk.order.id` FOREIGN KEY (`order_id`)
                REFERENCES `order` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
              CONSTRAINT `fk.mefi_inkasso_claim.claim_customer_id` FOREIGN KEY (`claim_customer_id`)
                REFERENCES `mefi_inkasso_claim_customer` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
              CONSTRAINT `fk.mefi_inkasso_claim.claim_detail_id` FOREIGN KEY (`claim_detail_id`)
                REFERENCES `mefi_inkasso_claim_details` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
        ');
    }

    public function updateDestructive(Connection $connection): void
    {
        // implement update destructive
    }
}
