<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1597155330AddClaimStatusHistoryTable extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1597155330;
    }

    public function update(Connection $connection): void
    {
        $connection->executeStatement('
            CREATE TABLE IF NOT EXISTS `mefi_inkasso_claim_status_history` (
                `id` BINARY(16) NOT NULL,
                `claim_id` binary(16) NOT NULL,
                `file_number` varchar(255) NOT NULL,
                `invoice_number` varchar(255) NOT NULL,
                `changed_at` varchar(255) NOT NULL,
                `status_code` INT NOT NULL,
                `status_name` varchar(255),
                `closing_reason_code` INT,
                `closing_reason_explanation` TEXT,
                `closing_reason_note` TEXT,
                `created_at` DATETIME(3) NOT NULL,
                `updated_at` DATETIME(3) NULL,
                PRIMARY KEY (`id`),
                CONSTRAINT `fk.mefi_inkasso_claim_status_history.claim_id` FOREIGN KEY (`claim_id`)
                    REFERENCES `mefi_inkasso_claim` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
        ');
    }

    public function updateDestructive(Connection $connection): void
    {
        //ntd
    }
}
