<?php

declare(strict_types=1);

namespace Mefi\Inkasso\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1597235645AddSolvencyCheckHistoryTable extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1597235645;
    }

    public function update(Connection $connection): void
    {
        $sql = <<<SQL
            CREATE TABLE IF NOT EXISTS `mefi_inkasso_solvency_check_history` (
              `id` binary(16) NOT NULL,
              `customer_id` binary(16) NOT NULL,
              `customernumber` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
              `lastname` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
              `firstname` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
              `company` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
              `street` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
              `postcode` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
              `city` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
              `country` varchar(2) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'DE',
              `address_hash` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL,
              `amount` double NOT NULL,
              `product` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
              `score` double NOT NULL,
              `response_text` longtext COLLATE utf8mb4_unicode_ci,
              `justification` tinyint NOT NULL DEFAULT '3',
              `created_at` datetime(3) NOT NULL,
              `updated_at` datetime(3) DEFAULT NULL,
              PRIMARY KEY (`id`),
              KEY `fk.mefi_inkasso_solvency_check_history.customer_id` (`customer_id`),
              CONSTRAINT `fk.mefi_inkasso_solvency_check_history.customer_id`
                  FOREIGN KEY (`customer_id`)
                  REFERENCES `customer` (`id`)
                  ON DELETE RESTRICT ON UPDATE CASCADE
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
SQL;

        $connection->executeStatement($sql);
    }

    public function updateDestructive(Connection $connection): void
    {
        // nothing to do here
    }
}
