<?php declare(strict_types=1);

namespace Mefi\Inkasso\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1617801954AddClaimDirectPaymentTable extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1617801954;
    }

    public function update(Connection $connection): void
    {
        $sql = <<<SQL
          CREATE TABLE IF NOT EXISTS `mefi_inkasso_claim_direct_payment` (
                `id` binary(16) NOT NULL PRIMARY KEY,
                `claim_id` binary(16) NOT NULL,
                `file_number` varchar(255) NOT NULL,
                `invoice_number` varchar(255) NOT NULL,
                `paid_amount` double NOT NULL,
                `date_of_payment` DATETIME NOT NULL,
                `created_at` DATETIME(3) NOT NULL,
                `updated_at` DATETIME(3) NULL,
            CONSTRAINT `fk.mefi_inkasso_claim_direct_payment.claim_id` FOREIGN KEY (`claim_id`)
                    REFERENCES `mefi_inkasso_claim` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
SQL;

        $connection->executeStatement($sql);
    }

    public function updateDestructive(Connection $connection): void
    {
        // implement update destructive
    }
}
