import './api/mefi-inkasso-claim-service';
import './component/mefi-claim-list-content';
import './page/mefi-claim-list';
import './page/mefi-claim-detail';

import deDE from './snippet/de-DE.json';
import enGB from './snippet/en-GB.json';

Shopware.Module.register('mefi-claim', {
    type: 'plugin',
    color: '#2b6dc8',
    title: 'mefi-claim.general.titleTextModule',
    description: 'mefi-claim.general.descriptionTextModule',

    snippets: {
        'de-DE': deDE,
        'en-GB': enGB
    },

    routes: {
        list: {
            component: 'mefi-claim-list',
            path: 'list'
        },

        detail: {
            component: 'mefi-claim-detail',
            path: 'detail/:id/:customerId?'
        }
    },

    navigation: [{
        label: 'mefi-claim.general.menuTextModule',
        color: '#ff3d58',
        path: 'mefi.claim.list',
        parent: 'sw-customer'
    }]
});
