import './acl';
import './api/mefi-inkasso-api-service';
import './component/mefi-inkasso-settings-auth';
import './page/mefi-configuration-index';
import './view/mefi-configuration-tab-auth';
import './view/mefi-configuration-tab-rating';
import './view/mefi-configuration-tab-rating-evaluation';
import './view/mefi-configuration-tab-claim-transfer';
import './view/mefi-configuration-tab-register';
import './component/mefi-inkasso-settings-rating-grid';
import './component/mefi-inkasso-settings-icon';

import deDE from './snippet/de-DE.json';
import enGB from './snippet/en-GB.json';

Shopware.Module.register('mefi-configuration', {
    type: 'plugin',
    color: '#2b6dc8',
    title: 'mefi-configuration.general.mainMenuItemGeneral',
    description: 'mefi-configuration.general.descriptionTextModule.',

    snippets: {
        'de-DE': deDE,
        'en-GB': enGB
    },

    routes: {
        index: {
            component: 'mefi-configuration-index',
            path: 'index',
            redirect: {
                name: 'mefi.configuration.index.auth'
            },
            meta: {
                parentPath: 'sw.settings.index',
                privilege: 'mefi_inkasso_configuration.viewer'
            },
            children: {
                'auth': {
                    component: 'mefi-configuration-tab-auth',
                    path: 'auth',
                    meta: {
                        parentPath: 'mefi.configuration.index'
                    }
                },
                'rating': {
                    component: 'mefi-configuration-tab-rating',
                    path: 'rating',
                    meta: {
                        parentPath: 'mefi.configuration.index'
                    }
                },
                'rating-evaluation': {
                    component: 'mefi-configuration-tab-rating-evaluation',
                    path: 'rating-evaluation',
                    meta: {
                        parentPath: 'mefi.configuration.index'
                    }
                },
                'claim-transfer': {
                    component: 'mefi-configuration-tab-claim-transfer',
                    path: 'claim-transfer',
                    meta: {
                        parentPath: 'mefi.configuration.index'
                    }
                },
                'register': {
                    component: 'mefi-configuration-tab-register',
                    path: 'register',
                    meta: {
                        parentPath: 'mefi.configuration.index'
                    }
                }
            }
        }
    },
    settingsItem: {
        group: 'plugins',
        to: 'mefi.configuration.index',
        iconComponent: 'mefi-inkasso-settings-icon',
        backgroundEnabled: true,
        privilege: 'mefi_inkasso_configuration.viewer'
    }
});
