import template from './mefi-configuration-tab-claim-transfer.html.twig';

const { Component, Mixin } = Shopware;

Component.register('mefi-configuration-tab-claim-transfer', {
    template,

    inject: [
        'MefiInkassoConfigService'
    ],

    mixins: [
        Mixin.getByName('notification')
    ],

    props: {
        fallbackConfig: {},
        config: {},
        isLoading: false
    },

    computed: {
        defaultTypeReminderOptions() {
            return [
                { id: '1', name: this.$tc('mefi-configuration.claimTransfer.defaultTypeReminderOptions.goodsSold') },
                { id: '2', name: this.$tc('mefi-configuration.claimTransfer.defaultTypeReminderOptions.goodsSoldByPrepayment') },
                { id: '3', name: this.$tc('mefi-configuration.claimTransfer.defaultTypeReminderOptions.serviceProvided') }
            ];
        }
    },

    methods: {
        onFirstDunningChange(inputValue) {
            if (inputValue === 0) {
                this.config.firstDunning = 30;
            }
        },

        syncClaimStatusChanges() {
            this.MefiInkassoConfigService.syncClaimStatusChanges().then(() => {
                this.createNotificationSuccess({
                    title: this.$tc('global.default.success'),
                    message: this.$tc('mefi-configuration.claimTransfer.syncStatusSuccess')
                });
            }).catch(() => {
                this.createNotificationError({
                    title: this.$tc('global.default.error'),
                    message: this.$tc('mefi-configuration.claimTransfer.syncStatusError')
                });
            });
        }
    }
});
