import template from './sw-customer-detail.html.twig';

const { Component, Context } = Shopware;
const { Criteria } = Shopware.Data;

Component.override('sw-customer-detail', {
    template,

    data() {
        return {
            hasClaimHistory: false
        };
    },

    computed: {
        showTabs() {
            return true; // TODO remove with PT-10455
        }
    },

    watch: {
        customerId: {
            deep: true,
            handler() {
                if (!this.customerId) {
                    this.hasClaimHistory = false;

                    return;
                }

                const mediafinanzClaimRepository = this.repositoryFactory.create('mefi_inkasso_claim');
                const mediafinanzClaimCriteria = new Criteria(1, 1);
                mediafinanzClaimCriteria.addFilter(Criteria.equals('customerId', this.customerId));

                mediafinanzClaimRepository.search(mediafinanzClaimCriteria, Context.api).then((claim) => {
                    if (claim && claim.total && claim.total > 0) {
                        this.hasClaimHistory = true;
                    }
                });
            },
            immediate: true
        }
    }
});
