import './extension/sw-customer-detail';
import './tab/mefi-customer-claim-tab';

import deDE from './snippet/de-DE';
import enGB from './snippet/en-GB';

Shopware.Module.register('mefi-customer', {
    type: 'plugin',
    name: 'MefiInkasso.customer',
    title: 'mefi-customer.general.title',
    description: 'mefi-customer.general.descriptionTextModule',
    version: '1.0.0',
    targetVersion: '1.0.0',
    color: '#2b6dc8',

    snippets: {
        'de-DE': deDE,
        'en-GB': enGB
    },

    routeMiddleware(next, currentRoute) {
        if (currentRoute.name === 'sw.customer.detail') {
            currentRoute.children.push({
                component: 'mefi-customer.claimTab',
                name: 'mefi-customer.claimTab.detail',
                description: 'mefi-customer.routeDescription',
                path: '/sw/order/detail/:id/mefi-inkasso/claim',
                isChildren: true
            });
        }

        next(currentRoute);
    }

});
