const { Application } = Shopware;
const ApiService = Shopware.Classes.ApiService;

class MefiInkassoSolvencyApiService extends ApiService {
    constructor(httpClient, loginService, apiEndpoint = 'mediafinanz-solvency-history') {
        super(httpClient, loginService, apiEndpoint);
    }

    /**
     * @return {Promise<AxiosResponse<T>>}
     */
    performNewSolvencyCheck(requestData) {
        const apiRoute = `_action/${this.getApiBasePath()}/perform-new-solvency-check`;

        return this.httpClient
            .post(
                apiRoute,
                requestData,
                {
                    headers: this.getBasicHeaders()
                }
            )
            .then((response) => {
                return ApiService.handleResponse(response);
            });
    }
}

Application.addServiceProvider('MefiInkassoSolvencyApiService', (container) => {
    const initContainer = Application.getContainer('init');
    return new MefiInkassoSolvencyApiService(initContainer.httpClient, container.loginService);
});
