import './api/mefi-inkasso-solvency-api-service';

import './page/mefi-solvency-list';
import './page/mefi-solvency-detail';
import './page/mefi-solvency-create';

import deDE from './snippet/de-DE';
import enGB from './snippet/en-GB';

Shopware.Module.register('mefi-solvency-history', {
    type: 'plugin',
    color: '#2b6dc8',
    title: 'mefi-solvency-history.general.titleTextModule',
    description: 'mefi-solvency-history.general.descriptionTextModule',

    snippets: {
        'de-DE': deDE,
        'en-GB': enGB
    },

    routes: {
        list: {
            component: 'mefi-solvency-list',
            path: 'list'
        },
        detail: {
            component: 'mefi-solvency-detail',
            path: 'detail/:historyId',
            meta: {
                parentPath: 'mefi.solvency.history.list'
            }
        },
        create: {
            component: 'mefi-solvency-create',
            path: 'create',
            meta: {
                parentPath: 'mefi.solvency.history.list'
            }
        },

    },

    navigation: [{
        label: 'mefi-solvency-history.general.menuTitle',
        color: '#62ff80',
        path: 'mefi.solvency.history.list',
        parent: 'sw-customer'
    }]
});
